Category : android-support-library

I have an activity with two frgment that both activities show a recyclerview containing MaterialCardView. in cardViews i use constraintLayout as root element and using layout_constraintHorizontal_bias for some views. [Note : app is full RTL] fragment_test1.xml: <FrameLayout xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools" android:layout_width="match_parent" android:layout_height="match_parent" tools:context=".Test1Fragment"> <androidx.core.widget.NestedScrollView android:id="@+id/scrollView_fVote" android:layout_width="match_parent" android:layout_height="match_parent"> <androidx.recyclerview.widget.RecyclerView android:id="@+id/rv_test1" android:layout_width="match_parent" android:layout_height="wrap_content"/> </androidx.core.widget.NestedScrollView> test_card.xml: <?xml version="1.0" encoding="utf-8"?> ..

Read more

I have a ListView that shows a list of user posts and each post item in the ListView has a support Toolbar containing options that allows users to share and modify the post and i also configured the Share option MenuItem with flag set to always linked together with the ShareActionProvider as described in the ..

Read more

Since Andriod 11, a large black area appeared above my app. I use multiple different activities (mostly RelativeLayout) and all of them are affected, so I don’t think it’s a layout issue. Switching between ActionBarActivity and AppCompatActivity or changing the SDK or build tools version also didn’t affect the black space. Settings: compileSdkVersion 29 buildToolsVersion ..

Read more

This is my main activity.xml file which is the navigation page. Every Navigation menu item when selected is inflated on a different Co-ordinator Layout file. I use Co-ordinator Layout because I want to hide the app bar when scrolling the list. My Activity Layout is working exactly as I wanted but the fragment layout is ..

Read more

Android Studio thinks I am using AndroidX dependencies but I do not know where. This is the error message I am getting: This project uses AndroidX dependencies, but the ‘android.useAndroidX’ property is not enabled. Set this property to true in the gradle.properties file and retry. The following AndroidX dependencies are detected: androidx.fragment:fragment:1.0.0, androidx.slidingpanelayout:slidingpanelayout:1.0.0, androidx.versionedparcelable:versionedparcelable:1.1.0, androidx.core:core:1.2.0, ..

Read more